Bug 492710 - PackageKit crashes when using Graphical tools
PackageKit crashes when using Graphical tools
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
10
i686 Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 12:50 EDT by Andrew Jamison
Modified: 2009-08-20 11:29 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:29:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
One of several bug reports generated by the crash (217.74 KB, text/plain)
2009-03-28 12:50 EDT, Andrew Jamison
no flags Details

  None (edit)
Description Andrew Jamison 2009-03-28 12:50:16 EDT
Created attachment 337116 [details]
One of several bug reports generated by the crash

Description of problem:
When trying to use the Graphical components of PackageKit i get crashes trying to do Local-installs, updates, repository installs, removing files, and using the add/remove tool that comes with it

Version-Release number of selected component (if applicable):
0.3.14-1.fc10

How reproducible:

Update to the latest stable version of PackageKit and try to do any of the above listed commands. I am not sure how often this is reproduceable to everyone for me however it happens with out fail by doing the following
Steps to Reproduce:
1.Download a RPM package try to install it via PackageKit
2.Try to update the system through PackageKit
3.Try to remove a program using PackageKit
  
Actual results:

a variation of the attached error 
Expected results:
Inputed command to run as intended

Additional info:
Comment 1 Andrew Jamison 2009-03-28 12:55:57 EDT
Possible related to this bug https://bugzilla.redhat.com/show_bug.cgi?id=486852
Comment 2 Richard Hughes 2009-03-30 06:20:17 EDT
>Failed to initialize PolicyKit context: (null)

You have run out of inotify watches. Stop beagled or trackerd and it should start working.
Comment 3 Andrew Jamison 2009-03-30 11:06:58 EDT
I do not currently have ethier of those running and I still get the error message. I only have the beagle libs installed and trackerd i am not sure what that daemon goes to so not sure how to check but yum does not pull up anything under tracker
Comment 4 Beartooth 2009-05-04 12:26:44 EDT
I get what looks like, perhaps, a form of the same.

Click on the updater. Let it run. Click on Refresh.

It gets a popup box, in the middle of the screen, with an error message. Examine (and, in this case, copy) the details. Close the popup. 

Another fancier popup appears, at the bottom right corner, with another error message. 

I don't see an attachment button. Here is one error message (Ithink, the first, mid-screen) : 



[btth@Hbsk2 ~]$ Error Type: <type 'exceptions.TypeError'>
bash: syntax error near unexpected token `newline'
[btth@Hbsk2 ~]$ Error Value: rpmdb open failed
bash: Error: command not found
[btth@Hbsk2 ~]$   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2316, in <module>
bash: syntax error near unexpected token `newline'
[btth@Hbsk2 ~]$     main()
>   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2312, in main
bash: syntax error near unexpected token `File'
[btth@Hbsk2 ~]$     backend = PackageKitYumBackend('', lock=True)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 182, in __init__
bash: File: command not found
[btth@Hbsk2 ~]$     self.yumbase = PackageKitYumBase(self)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2255, in __init__
bash: File: command not found
[btth@Hbsk2 ~]$     self.repos.confirm_func = self._repo_gpg_confirm
bash: self.repos.confirm_func: command not found
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 589, in <lambda>
bash: syntax error near unexpected token `newline'
[btth@Hbsk2 ~]$     repos = property(fget=lambda self: self._getRepos(),
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 395, in _getRepos
bash: File: command not found
[btth@Hbsk2 ~]$     self._getConfig() # touch the config class first
>   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 192, in _getConfig
bash: syntax error near unexpected token `File'
[btth@Hbsk2 ~]$     self._conf = config.readMainConfig(startupconf)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/config.py, line 774, in readMainConfig
bash: File: command not found
[btth@Hbsk2 ~]$     yumvars['releasever'] = _getsysver(startupconf.installroot, startupconf.distroverpkg)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/config.py, line 844, in _getsysver
bash: File: command not found
[btth@Hbsk2 ~]$     idx = ts.dbMatch('provides', distroverpkg)

   And here is the other error : 
[btth@Hbsk2 ~]$ Error Type: &lt;type &apos;exceptions.TypeError&apos;&gt;
bash: syntax error near unexpected token `&'
[btth@Hbsk2 ~]$ Error Value: rpmdb open failed
bash: Error: command not found
[btth@Hbsk2 ~]$   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2316, in &lt;module&gt;
bash: File: command not found
[1] 5415
bash: lt: command not found
[1]+  Exit 127                File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2316, in
bash: module: command not found
[1] 5417
bash: gt: command not found
[1]+  Exit 127                module
[btth@Hbsk2 ~]$     main()
>   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2312, in main
bash: syntax error near unexpected token `File'
[btth@Hbsk2 ~]$     backend = PackageKitYumBackend(&apos;&apos;, lock=True)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 182, in __init__
bash: File: command not found
[btth@Hbsk2 ~]$     self.yumbase = PackageKitYumBase(self)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/share/PackageKit/helpers/yum/yumBackend.py, line 2255, in __init__
bash: File: command not found
[btth@Hbsk2 ~]$     self.repos.confirm_func = self._repo_gpg_confirm
bash: self.repos.confirm_func: command not found
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 589, in &lt;lambda&gt;
bash: File: command not found
[1] 5422
bash: lt: command not found
[1]+  Exit 127                File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 589, in
[1] 5424
bash: gt: command not found
[btth@Hbsk2 ~]$     repos = property(fget=lambda self: self._getRepos(),
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 395, in _getRepos
bash: File: command not found
[btth@Hbsk2 ~]$     self._getConfig() # touch the config class first
>   File : /usr/lib/python2.5/site-packages/yum/__init__.py, line 192, in _getConfig
bash: syntax error near unexpected token `File'
[btth@Hbsk2 ~]$     self._conf = config.readMainConfig(startupconf)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/config.py, line 774, in readMainConfig
bash: File: command not found
[btth@Hbsk2 ~]$     yumvars[&apos;releasever&apos;] = _getsysver(startupconf.installroot, startupconf.distroverpkg)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$   File : /usr/lib/python2.5/site-packages/yum/config.py, line 844, in _getsysThis is Omegak, Version 3.141592-1.23.2.3 (Web2C 7.5.6)
ver
 %&-line parsing enabled.
Copyright (c) 1994--2000 John Plaice and Yannis Haralambous
**bash: File: command not found

[1]+  Stopped                 lambda
[btth@Hbsk2 ~]$     idx = ts.dbMatch(&apos;provides&apos;, distroverpkg)
bash: syntax error near unexpected token `('
[btth@Hbsk2 ~]$
Comment 5 Richard Hughes 2009-05-26 05:56:55 EDT
If you turn off selinux enforcing does this still happen? Does this happen after a reboot?
Comment 6 Steven M. Parrish 2009-06-28 20:02:42 EDT
Reporter please respond to the question posed in comment #5.  If you do not respond within 30days will have no choice but to close this as INSUFFICIENT_DATA.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.